//CFTTFileIterator_Android - [2020-04-13 11:57:46]
#ifndef _CFTTFILEITERATOR_ANDROID_H_
#define _CFTTFILEITERATOR_ANDROID_H_

#include <android/asset_manager.h>
#include "CFTTFileIterator.h"
#include "CFTTFileSystem_Android.h"

/*
0026CA88 CFTTFileIterator_Android::First()
0026CB90 CFTTFileIterator_Android::CFTTFileIterator_Android(CFTTFileSystem_Android *,
                                                            AAssetDir *,
                                                            char *)
0026CBF4 CFTTFileIterator_Android::~CFTTFileIterator_Android()
0026CC24 CFTTFileIterator_Android::~CFTTFileIterator_Android()
0026CC32 CFTTFileIterator_Android::IsValid()
0026CC3C CFTTFileIterator_Android::IsDirectory()
0026CC4E CFTTFileIterator_Android::GetAttributes(TFTTFileAttributes *)
0026CC52 CFTTFileIterator_Android::GetName()
0026CC56 CFTTFileIterator_Android::Next()

vtable_CFTTFileIterator_Android_329B1C:
  CFTTFileIterator_Android::~CFTTFileIterator_Android()
  CFTTFileIterator_Android::~CFTTFileIterator_Android()
  CFTTFileIterator_Android::IsValid()
  CFTTFileIterator_Android::IsDirectory()
  CFTTFileIterator_Android::GetAttributes(TFTTFileAttributes *)
  CFTTFileIterator_Android::GetName()
  CFTTFileIterator_Android::Next()

0x30
*/

class CFTTFileIterator_Android : public CFTTFileIterator {
public:
  CFTTFileIterator_Android(CFTTFileSystem_Android* pFileSystemAndroid,
                           AAssetDir* pDir,
                           char* pName);                       //0026CB90
  virtual ~CFTTFileIterator_Android();                         //0026CBF4 0026CC24
  virtual bool IsValid();                                      //0026CC32
  virtual bool IsDirectory();                                  //0026CC3C
  virtual EFTTError GetAttributes(TFTTFileAttributes* pAttr);  //0026CC4E
  virtual char* GetName();                                     //0026CC52
  virtual EFTTError Next();                                    //0026CC56
  EFTTError First();                                           //0026CA88

  CFTTFileSystem_Android* pCFTTFileIterator_Android_4;
  AAssetDir* pAAssetDir_8;
  char* pBuf_C;
  char* pBufEnd_10;
  int field_14;
  int field_18;
  int field_1C;
  int field_20;
  int field_24;
  char* filename_28;
  int field_2C;
};

#endif  //_CFTTFILEITERATOR_ANDROID_H_